Package: groovy.swing.impl

## [Java] Class ClosureRenderer

- groovy.swing.impl.ClosureRenderer

- All Implemented Interfaces and Traits:
    ListCellRenderer, TableCellRenderer, TreeCellRenderer

      public class ClosureRenderer

  Authors:
    Danno.Ferrin

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureRenderer ()`
    `ClosureRenderer (Closure c)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getChildren()`
    `` | `int` | `getColumn()`
    `` | `JList` | `getList()`
    `` | `Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
    `` | `int` | `getRow()`
    `` | `JTable` | `getTable()`
    `` | `Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`
    `` | `JTree` | `getTree()`
    `` | `Component` | `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`
    `` | `Closure` | `getUpdate()`
    `` | `Object` | `getValue()`
    `` | `boolean` | `isDefaultRenderer()`
    `` | `boolean` | `isExpanded()`
    `` | `boolean` | `isFocused()`
    `` | `boolean` | `isLeaf()`
    `` | `boolean` | `isSelected()`
    `` | `boolean` | `isTableHeader()`
    `` | `void` | `setTableHeader(boolean tableHeader)`
    `` | `void` | `setUpdate(Closure update)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureRenderer()

    - #### public ClosureRenderer(Closure c)

  - ### Method Detail

    - #### public List getChildren()

    - #### public int getColumn()

    - #### public JList getList()

    - #### public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)

    - #### public int getRow()

    - #### public JTable getTable()

    - #### public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)

    - #### public JTree getTree()

    - #### public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)

    - #### public Closure getUpdate()

    - #### public Object getValue()

    - #### public boolean isDefaultRenderer()

    - #### public boolean isExpanded()

    - #### public boolean isFocused()

    - #### public boolean isLeaf()

    - #### public boolean isSelected()

    - #### public boolean isTableHeader()

    - #### public void setTableHeader(boolean tableHeader)

    - #### public void setUpdate(Closure update)